RECVFROM(2)

NAME
recvfrom - receive a message through a socket

SYNOPSIS
#include <sys/socket.h>
ssize_t recvfrom(int sd, void * msg, size_t msg_len, int flags, struct sockaddr * src_addr, socklet_t * src_addr_len);

DESCRIPTION
recvfrom() receives a message from another socket. It may be used with connectionless and connection oriented sockets. At present, minix doesn't support setting flags to any value other than 0.

RETURN VALUES
On success, this function returns 0. On error, -1 is returned and errno is set.

ERRORS

[ENOSYS]
    The operation is not implemented for the given socket.

[EPIPE]
    The socket is shutdown for reading.

SEE ALSO
socket(2), send(2) sendto(2) recv(2)